/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#ifndef _IPC_DEFS_H_RPCGEN
#define _IPC_DEFS_H_RPCGEN

#include <gssrpc/rpc.h>


#ifdef _NOT_DEFINED_
extern "C" {
#endif

/* Is a mission being executed? */
#define ROBOT_IS_ACTIVE_FLAG (1<<0)

/* Is the robot currently paused? */
#define ROBOT_IS_PAUSED_FLAG (1<<1)

/* Is the FSA currently locked? */
#define ROBOT_FSA_IS_LOCKED_FLAG (1<<2)

/* Is this the final message and the robot is terminating? */
#define ROBOT_IS_TERMINATING_FLAG (1<<3)


#if defined(WIN32)
 typedef unsigned long u_long;
 typedef unsigned int u_int;
 typedef struct XDR XDR;
 typedef bool bool_t;
#endif

enum ROBOT_TYPES {

	RT_HOLONOMIC = 0,
	RT_LEWK = 1,
	RT_F16 = 2,
	RT_TOMAHAWK = 3,
	RT_ROTOCRAFT = 4,
	RT_ATRV = 5,
	RT_UGV = 6,
	RT_BUD = 7
};
typedef enum ROBOT_TYPES ROBOT_TYPES;

struct PING_INFO {
	ROBOT_TYPES robot_type;
	char robot_name[80];
};
typedef struct PING_INFO PING_INFO;

struct VECTOR {
	double x;
	double y;
	double z;
};
typedef struct VECTOR VECTOR;

struct ROBOT_XYT {
	double x;
	double y;
	double z;
	double r;
	double p;
	double t;
};
typedef struct ROBOT_XYT ROBOT_XYT;

typedef u_long ROBOT_STATUS_FLAGS;

struct ROBOT_STATUS {
	double x;
	double y;
	double z;
	double r;
	double p;
	double t;
	ROBOT_STATUS_FLAGS status;
};
typedef struct ROBOT_STATUS ROBOT_STATUS;

enum OBJECT_TYPES {

	DISK_OBJECT = 0,
	POLYGON_OBJECT = 1,
	CONTAINER_OBJECT = 2,
	MARKER_OBJECT = 3
};
typedef enum OBJECT_TYPES OBJECT_TYPES;

struct DISK_READING {
	u_int id;
	char *color;
	double Vx;
	double Vy;
	double Vz;
	double r;
};
typedef struct DISK_READING DISK_READING;

struct POLYGON_READING {
	u_int id;
	char *color;
	struct {
		unsigned int verticies_len;
		VECTOR *verticies_val;
	} verticies;
};
typedef struct POLYGON_READING POLYGON_READING;

struct CONTAINER_READING {
	u_int id;
	char *color;
	double Vx1;
	double Vy1;
	double Vz1;
	double Vx2;
	double Vy2;
	double Vz2;
};
typedef struct CONTAINER_READING CONTAINER_READING;

struct MARKER_READING {
	u_int id;
	char *color;
	char *inscription;
	double Vx1;
	double Vy1;
	double Vz1;
	double Vx2;
	double Vy2;
	double Vz2;
	double Vx3;
	double Vy3;
	double Vz3;
};
typedef struct MARKER_READING MARKER_READING;

struct SENSOR_READING {
	OBJECT_TYPES type;
	union {
		DISK_READING disk_reading;
		POLYGON_READING polygon_reading;
		CONTAINER_READING container_reading;
		MARKER_READING marker_reading;
	} SENSOR_READING_u;
};
typedef struct SENSOR_READING SENSOR_READING;

typedef struct {
	unsigned int SENSOR_READINGS_len;
	SENSOR_READING *SENSOR_READINGS_val;
} SENSOR_READINGS;

/* the xdr functions */

#if defined(__cplusplus) || defined(_NOT_DEFINED_)
extern  bool_t xdr_ROBOT_TYPES (XDR *, ROBOT_TYPES*);
extern  bool_t xdr_PING_INFO (XDR *, PING_INFO*);
extern  bool_t xdr_VECTOR (XDR *, VECTOR*);
extern  bool_t xdr_ROBOT_XYT (XDR *, ROBOT_XYT*);
extern  bool_t xdr_ROBOT_STATUS_FLAGS (XDR *, ROBOT_STATUS_FLAGS*);
extern  bool_t xdr_ROBOT_STATUS (XDR *, ROBOT_STATUS*);
extern  bool_t xdr_OBJECT_TYPES (XDR *, OBJECT_TYPES*);
extern  bool_t xdr_DISK_READING (XDR *, DISK_READING*);
extern  bool_t xdr_POLYGON_READING (XDR *, POLYGON_READING*);
extern  bool_t xdr_CONTAINER_READING (XDR *, CONTAINER_READING*);
extern  bool_t xdr_MARKER_READING (XDR *, MARKER_READING*);
extern  bool_t xdr_SENSOR_READING (XDR *, SENSOR_READING*);
extern  bool_t xdr_SENSOR_READINGS (XDR *, SENSOR_READINGS*);

#else /* K&R C */
extern bool_t xdr_ROBOT_TYPES ();
extern bool_t xdr_PING_INFO ();
extern bool_t xdr_VECTOR ();
extern bool_t xdr_ROBOT_XYT ();
extern bool_t xdr_ROBOT_STATUS_FLAGS ();
extern bool_t xdr_ROBOT_STATUS ();
extern bool_t xdr_OBJECT_TYPES ();
extern bool_t xdr_DISK_READING ();
extern bool_t xdr_POLYGON_READING ();
extern bool_t xdr_CONTAINER_READING ();
extern bool_t xdr_MARKER_READING ();
extern bool_t xdr_SENSOR_READING ();
extern bool_t xdr_SENSOR_READINGS ();

#endif /* K&R C */

#ifdef _NOT_DEFINED_
}
#endif

#endif /* !_IPC_DEFS_H_RPCGEN */
