/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cmdl_parse
#define yylex           cmdl_lex
#define yyerror         cmdl_error
#define yydebug         cmdl_debug
#define yynerrs         cmdl_nerrs

#define yylval          cmdl_lval
#define yychar          cmdl_char

/* Copy the first part of user declarations.  */
#line 1 "gt_command_yac.y" /* yacc.c:339  */

/**********************************************************************
 **                                                                  **
 **                         gt_command_yac.y                         **
 **                                                                  **
 **                                                                  **
 **         Parser for the command description language (cmdl)       **
 **                                                                  **
 **         See the MissionLab user's manual for details.            **
 **                                                                  **
 **                                                                  **
 **  Written by:  Jonathan M. Cameron                                **
 **                                                                  **
 **  Copyright 1995 - 2008 Georgia Tech Research Corporation         **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: gt_command_yac.y,v 1.2 2008/07/16 21:16:09 endo Exp $ */

extern "C" {
#include <stdarg.h>
#include <malloc.h>
#include <math.h>
}
#include "console.h"
#include "gt_sim.h"
#include "gt_world.h"
#include "gt_scale.h"
#include "gt_command.h"
#include "gt_console_db.h"
#include "3d_vis_wid.h"
#include "gt_simulation.h"
#include "mlab_cnp.h"

extern void clear_robots(void);

extern void cmdl_error(char *);
extern void cmdl_errorf(const char *, ...);
extern int cmdl_lex();
int cmdl_parse();

int next_robot_id = 1;           /* running id counter for next robot created */
int robot_id;

/* Some error messages */

static char *new_robot_name_error_string = 
"*** Error in new robot name ***\n\
   (You may be trying to redefine the robot name.)\n\
   Correct usage:\n\n\
      NEW-ROBOT robot-name robot-executable\n\
                [host] [(robot parameter list)]";

static char *new_robot_executable_error_string =
"*** Error in new robot executable name ***\n\
   (Try putting it in quotes.)\n\
   Correct usage:\n\n\
      NEW-ROBOT robot-name robot-executable\n\
                [host] [(robot parameter list)]";



#line 139 "gt_command_yac.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gt_command_yac.h".  */
#ifndef YY_CMDL_GT_COMMAND_YAC_H_INCLUDED
# define YY_CMDL_GT_COMMAND_YAC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cmdl_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    MISSION_NAME = 258,
    SCENARIO = 259,
    OVERLAY = 260,
    MISSION_AREA = 261,
    LOAD_MAP = 262,
    SP = 263,
    UNIT_TOKEN = 264,
    NEW_ROBOT = 265,
    START_COMMANDS = 266,
    IMMEDIATE_COMMAND = 267,
    START_TOKEN = 268,
    MOVETO_TOKEN = 269,
    TELEOPERATE_TOKEN = 270,
    SWEEPTO_TOKEN = 271,
    OCCUPY_TOKEN = 272,
    FOLLOW_TOKEN = 273,
    STOP_TOKEN = 274,
    QUIT_TOKEN = 275,
    SET_TOKEN = 276,
    PRINT_TOKEN = 277,
    CONSOLE_DB_TOKEN = 278,
    ROBOT_INFO_TOKEN = 279,
    CREATE_OBSTACLES = 280,
    OBSTACLE_TOKEN = 281,
    FORMATION = 282,
    TECHNIQUE = 283,
    AND = 284,
    UNTIL = 285,
    MOUSE = 286,
    WAIT = 287,
    FREEZE = 288,
    TIMEOUT = 289,
    PHASE_LINE_TOKEN = 290,
    ON_COMPLETION = 291,
    ACKNOWLEDGE = 292,
    MESSAGE = 293,
    SPEED = 294,
    SHOW_TRAILS_TOKEN = 295,
    SHOW_REP_OBST_TOKEN = 296,
    SHOW_MOV_VECT_TOKEN = 297,
    SEED_TOKEN = 298,
    OBSTACLE_COVERAGE_TOKEN = 299,
    ZOOM_FACTOR_TOKEN = 300,
    SCALE_ROBOTS_TOKEN = 301,
    ROBOT_LENGTH_TOKEN = 302,
    SHOW_COLORMAP_TOKEN = 303,
    MIN_OBSTACLE_RADIUS_TOKEN = 304,
    MAX_OBSTACLE_RADIUS_TOKEN = 305,
    CYCLE_DURATION_TOKEN = 306,
    DEBUG_ROBOTS_TOKEN = 307,
    DEBUG_SIMULATOR_TOKEN = 308,
    DEBUG_SCHEDULER_TOKEN = 309,
    HEIGHTMAP = 310,
    INJECTTRACK_TOKEN = 311,
    RED_TOKEN = 312,
    YELLOW_TOKEN = 313,
    USE_MILITARY_STYLE_TOKEN = 314,
    BOOLEAN = 315,
    QSTRING = 316,
    IDENTIFIER = 317,
    FILENAME = 318,
    DATE = 319,
    TIME = 320,
    STEP_NUMBER = 321,
    NUMBER = 322,
    FORMATION_TYPE = 323,
    TECHNIQUE_TYPE = 324,
    ROBOT_TYPE = 325
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 66 "gt_command_yac.y" /* yacc.c:355  */
               int  boolean;
                     float  fval;
                      char *strval;
                  gt_Robot  robot;
                   gt_Unit *unit;
  gt_Robot_parameters_list *robot_parameters;
              gt_Formation  formation;
              gt_Technique  technique;

#line 260 "gt_command_yac.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cmdl_lval;

int cmdl_parse (void);

#endif /* !YY_CMDL_GT_COMMAND_YAC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 275 "gt_command_yac.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   282

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  77
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  70
/* YYNRULES -- Number of rules.  */
#define YYNRULES  206
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  285

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   325

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      71,    72,     2,     2,    73,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      75,    74,    76,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   108,   108,   109,   113,   114,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   133,   141,
     149,   157,   168,   195,   205,   220,   229,   239,   250,   261,
     272,   284,   289,   298,   299,   332,   336,   347,   356,   367,
     380,   381,   392,   401,   415,   419,   431,   438,   446,   458,
     462,   473,   497,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   561,   568,   575,   582,   589,   600,   607,
     618,   619,   624,   624,   628,   629,   632,   632,   639,   640,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     658,   659,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   681,   681,   693,   702,
     715,   715,   727,   727,   739,   739,   751,   751,   763,   763,
     775,   775,   787,   798,   806,   817,   825,   836,   845,   855,
     863,   873,   881,   890,   898,   907,   915,   924,   946,   954,
     966,   968,   972,   974,   978,   979,   980,   981,   982,   987,
     989,   993,   994,   995,   999,  1001,  1005,  1006,  1007,  1008,
    1009,  1013,  1015,  1019,  1020,  1021,  1022,  1023,  1026,  1028,
    1032,  1033,  1038,  1039,  1040,  1044,  1045,  1046,  1051,  1052,
    1056,  1057,  1062,  1071,  1076,  1083,  1090,  1099,  1104,  1112,
    1117,  1123,  1129,  1135,  1149,  1158,  1159
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "MISSION_NAME", "SCENARIO", "OVERLAY",
  "MISSION_AREA", "LOAD_MAP", "SP", "UNIT_TOKEN", "NEW_ROBOT",
  "START_COMMANDS", "IMMEDIATE_COMMAND", "START_TOKEN", "MOVETO_TOKEN",
  "TELEOPERATE_TOKEN", "SWEEPTO_TOKEN", "OCCUPY_TOKEN", "FOLLOW_TOKEN",
  "STOP_TOKEN", "QUIT_TOKEN", "SET_TOKEN", "PRINT_TOKEN",
  "CONSOLE_DB_TOKEN", "ROBOT_INFO_TOKEN", "CREATE_OBSTACLES",
  "OBSTACLE_TOKEN", "FORMATION", "TECHNIQUE", "AND", "UNTIL", "MOUSE",
  "WAIT", "FREEZE", "TIMEOUT", "PHASE_LINE_TOKEN", "ON_COMPLETION",
  "ACKNOWLEDGE", "MESSAGE", "SPEED", "SHOW_TRAILS_TOKEN",
  "SHOW_REP_OBST_TOKEN", "SHOW_MOV_VECT_TOKEN", "SEED_TOKEN",
  "OBSTACLE_COVERAGE_TOKEN", "ZOOM_FACTOR_TOKEN", "SCALE_ROBOTS_TOKEN",
  "ROBOT_LENGTH_TOKEN", "SHOW_COLORMAP_TOKEN", "MIN_OBSTACLE_RADIUS_TOKEN",
  "MAX_OBSTACLE_RADIUS_TOKEN", "CYCLE_DURATION_TOKEN",
  "DEBUG_ROBOTS_TOKEN", "DEBUG_SIMULATOR_TOKEN", "DEBUG_SCHEDULER_TOKEN",
  "HEIGHTMAP", "INJECTTRACK_TOKEN", "RED_TOKEN", "YELLOW_TOKEN",
  "USE_MILITARY_STYLE_TOKEN", "BOOLEAN", "QSTRING", "IDENTIFIER",
  "FILENAME", "DATE", "TIME", "STEP_NUMBER", "NUMBER", "FORMATION_TYPE",
  "TECHNIQUE_TYPE", "ROBOT_TYPE", "'('", "')'", "','", "'='", "'<'", "'>'",
  "$accept", "file", "info_part", "info_statement",
  "mission_name_statement", "scenario_statement", "overlay_statement",
  "mission_area_statement", "load_map_statement",
  "starting_point_statement", "robot_definition_statement",
  "robot_executable_name", "robot_parameter_list", "robot_parameter",
  "robot_parameter_name", "unit_description_statement", "unit_list",
  "unit", "robot_list", "robot", "set_parameter_statement",
  "populate_statement", "obstacle_statement", "print_statement",
  "commands_part", "$@1", "step_list", "step", "$@2", "composite_command",
  "command", "composite_immediate_command", "immediate_command",
  "start_command", "$@3", "cnp_command_statement", "moveto_command", "$@4",
  "teleoperate_command", "$@5", "sweepto_command", "$@6", "follow_command",
  "$@7", "occupy_command", "$@8", "stop_command", "$@9", "quit_command",
  "set_parameter_command", "print_command", "opt_start_clause",
  "opt_moveto_clause_list", "opt_moveto_clause",
  "opt_teleoperate_clause_list", "opt_teleoperate_clause",
  "opt_sweepto_clause_list", "opt_sweepto_clause",
  "opt_follow_clause_list", "opt_follow_clause", "opt_occupy_clause_list",
  "opt_occupy_clause", "formation_clause", "technique_clause",
  "speed_clause", "phase_line_clause", "phase_line_clause_start",
  "on_completion_clause", "until_clause", "name", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    40,    41,    44,    61,    60,    62
};
# endif

#define YYPACT_NINF -132

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-132)))

#define YYTABLE_NINF -1

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     100,   -46,   -46,   168,   -29,   -46,   -46,   -21,    13,     9,
     127,   137,  -132,    -3,    67,   126,  -132,  -132,  -132,  -132,
    -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,
    -132,  -132,  -132,  -132,  -132,    12,  -132,    25,   -46,  -132,
       7,    84,  -132,   134,  -132,  -132,  -132,  -132,  -132,    69,
    -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,
      51,    64,    79,    60,    77,    90,   140,   121,   146,   135,
     160,   165,   173,   174,   175,   176,  -132,  -132,   170,  -132,
    -132,  -132,  -132,  -132,   171,   163,  -132,  -132,   128,  -132,
     201,  -132,  -132,     9,  -132,  -132,  -132,  -132,  -132,  -132,
    -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,
     177,   179,  -132,    92,    29,   136,   -46,   -46,   -46,   -46,
     -46,   -46,  -132,  -132,  -132,  -132,   179,  -132,  -132,    -4,
     169,    80,  -132,  -132,  -132,   178,   180,   167,  -132,    29,
     172,  -132,  -132,  -132,  -132,  -132,  -132,  -132,    40,  -132,
     -46,   182,    80,    -4,  -132,  -132,    29,   143,   183,    29,
     181,  -132,  -132,  -132,  -132,  -132,   -46,   142,   185,   213,
    -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,
    -132,   184,  -132,   186,  -132,  -132,  -132,  -132,  -132,   187,
     189,  -132,    20,     5,    20,    15,    20,   191,   192,   197,
     195,   203,   205,   206,   207,  -132,  -132,    40,    92,  -132,
    -132,  -132,   -22,   -41,   -46,   208,   -31,  -132,  -132,  -132,
    -132,  -132,  -132,  -132,   210,  -132,  -132,  -132,  -132,  -132,
    -132,  -132,  -132,  -132,  -132,  -132,   -14,  -132,  -132,  -132,
    -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,
    -132,  -132,  -132,  -132,  -132,   169,    80,  -132,   200,  -132,
     202,   147,   -46,  -132,   209,   -46,    99,   204,   211,  -132,
    -132,  -132,   212,   214,   216,  -132,   238,  -132,  -132,  -132,
    -132,  -132,  -132,  -132,  -132
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    78,     0,     0,     0,     4,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,   206,
     205,    18,    19,    20,    21,     0,    23,     0,     0,    31,
       0,     0,   132,     0,   114,   110,   111,   112,   113,     3,
     100,   102,   115,   103,   104,   105,   106,   107,   108,   109,
      56,    58,    60,     0,     0,     0,    70,     0,    62,     0,
       0,     0,    64,    66,    68,    54,    80,    81,     0,     1,
      82,     5,     2,    22,     0,     0,    32,    34,    25,    33,
       0,   118,   119,     0,    57,    59,    61,    53,    73,    76,
      71,    72,    63,    74,    75,    77,    65,    67,    69,    55,
       0,     0,    24,     0,     0,    26,     0,     0,     0,     0,
       0,     0,   130,   101,    79,    86,    83,    84,    51,     0,
      43,    42,    49,    52,    41,     0,    35,     0,    40,     0,
      27,   116,   120,   122,   124,   128,   126,   131,     0,    85,
       0,     0,    46,     0,    50,    28,     0,     0,     0,     0,
     150,   152,   159,   164,   178,   171,     0,     0,     0,    87,
      88,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,     0,    44,     0,    36,    38,    39,    37,    29,     0,
       0,   117,   121,   123,   125,   129,   127,   133,   137,   139,
       0,   141,   143,   145,   135,   148,   149,     0,     0,    45,
      30,   151,     0,     0,     0,     0,     0,   184,   187,   153,
     154,   155,   156,   157,   190,   158,   160,   161,   162,   163,
     165,   166,   167,   168,   169,   170,     0,   179,   180,   181,
     172,   173,   174,   175,   176,   177,   134,   138,   140,   147,
     142,   144,   146,   136,    89,    48,    47,   183,     0,   186,
       0,   193,     0,   188,     0,     0,     0,     0,   199,   202,
     182,   185,     0,   196,   197,   189,   191,   203,   204,   201,
     200,   194,   195,   198,   192
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -132,  -132,  -132,   257,  -132,  -132,  -132,  -132,  -132,  -132,
    -132,  -132,   -16,  -132,  -132,     0,    65,   129,  -107,  -128,
       1,     2,     3,     4,  -132,  -132,  -132,   148,  -132,  -132,
      72,  -132,   188,  -131,  -132,  -132,  -129,  -132,  -127,  -132,
    -126,  -132,  -125,  -132,  -123,  -132,  -122,  -132,  -121,  -132,
    -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,  -132,
    -132,  -132,    28,  -124,   -94,    -9,  -132,    32,  -132,    -1
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    88,   135,   136,   137,    24,   130,   151,   152,   132,
      25,    26,    27,    28,    82,   111,   126,   127,   148,   169,
     170,    49,    50,    51,   160,    52,    53,   161,    54,   162,
      55,   163,    56,   165,    57,   164,    58,   147,    59,   179,
     180,   191,   192,   219,   193,   226,   194,   230,   196,   240,
     195,   237,   220,   221,   222,   223,   224,   225,   239,   133
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_uint16 yytable[] =
{
      31,    32,    34,   154,    36,    37,   131,    40,    86,    44,
      45,    46,    47,    48,    39,    29,    30,   171,    41,   172,
     266,   173,   174,   175,   154,   176,   177,   178,   259,    42,
      10,    11,   212,   260,    12,    13,   263,    85,    35,    89,
      90,   215,   212,   264,   216,   236,   257,   212,   213,   166,
     267,   268,   258,   269,    38,   214,   215,    29,    30,   216,
      42,   167,   168,   134,    78,    43,   128,    79,    29,    30,
     232,   150,   242,   217,    29,    30,   171,    87,   172,    83,
     173,   174,   175,   217,   176,   177,   178,   115,   217,   218,
      29,    30,    84,    44,    45,    46,    47,    48,    93,   228,
     233,   256,   243,     1,     2,     3,     4,     5,     6,     7,
       8,    94,     9,   138,   140,   141,   142,   143,   144,   145,
     146,    10,    11,   158,    95,    12,    13,    97,   154,     1,
       2,     3,     4,     5,     6,     7,     8,    80,   138,    96,
     184,    29,    30,   189,    98,    29,    30,    10,    11,   181,
     128,    12,    13,    29,    30,   138,   187,    99,   138,    38,
      76,    77,   128,   129,   277,    90,   278,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,   197,   198,   199,   234,    75,   244,   101,    29,
      30,    91,    92,   200,   201,   202,   203,    29,    30,   114,
     100,   204,   103,   185,    29,    30,   102,   139,   205,   206,
     186,   272,   273,   261,   116,   117,   118,   119,   120,   121,
     122,   227,   231,   238,   241,   229,   235,   104,   245,    29,
      30,    33,   105,   106,   107,   108,   109,   110,   112,   113,
     153,   157,   207,   159,   124,   125,   262,   265,   190,   283,
     155,   246,   247,   156,   182,   188,   211,   248,   209,   210,
     208,   274,   249,   250,   276,   251,   252,   253,   270,   279,
     284,   271,    81,   255,   149,   280,   275,   281,   282,   254,
       0,   123,   183
};

static const yytype_int16 yycheck[] =
{
       1,     2,     3,   131,     5,     6,   113,     8,     1,     9,
       9,     9,     9,     9,     1,    61,    62,   148,     9,   148,
      34,   148,   148,   148,   152,   148,   148,   148,    69,    20,
      21,    22,    27,    74,    25,    26,    67,    38,    67,    40,
      41,    36,    27,    74,    39,    30,    68,    27,    28,     9,
      64,    65,    74,    67,    75,    35,    36,    61,    62,    39,
      20,    21,    22,    34,    67,    56,    70,     0,    61,    62,
     194,    75,   196,    68,    61,    62,   207,    70,   207,    67,
     207,   207,   207,    68,   207,   207,   207,    88,    68,    69,
      61,    62,    67,    93,    93,    93,    93,    93,    29,   193,
     194,   208,   196,     3,     4,     5,     6,     7,     8,     9,
      10,    60,    12,   114,   115,   116,   117,   118,   119,   120,
     121,    21,    22,   139,    60,    25,    26,    67,   256,     3,
       4,     5,     6,     7,     8,     9,    10,    11,   139,    60,
     156,    61,    62,   159,    67,    61,    62,    21,    22,   150,
      70,    25,    26,    61,    62,   156,   157,    67,   159,    75,
      23,    24,    70,    71,    65,   166,    67,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    40,    41,    42,   194,    59,   196,    67,    61,
      62,    57,    58,    51,    52,    53,    54,    61,    62,    71,
      60,    59,    67,    60,    61,    62,    60,    71,    23,    24,
      67,    64,    65,   214,    13,    14,    15,    16,    17,    18,
      19,   193,   194,   195,   196,   193,   194,    67,   196,    61,
      62,    63,    67,    60,    60,    60,    60,    67,    67,    76,
      71,    74,    29,    71,    67,    66,    38,    37,    67,    33,
      72,    60,    60,    73,    72,    72,    67,    60,    72,    72,
      76,   262,    67,    60,   265,    60,    60,    60,    68,    65,
      32,    69,    15,   208,   126,    64,    67,    65,    64,   207,
      -1,    93,   153
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     3,     4,     5,     6,     7,     8,     9,    10,    12,
      21,    22,    25,    26,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    92,    97,    98,    99,   100,    61,
      62,   146,   146,    63,   146,    67,   146,   146,    75,     1,
     146,     9,    20,    56,    92,    97,    98,    99,   100,   108,
     109,   110,   112,   113,   115,   117,   119,   121,   123,   125,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    59,    23,    24,    67,     0,
      11,    80,   101,    67,    67,   146,     1,    70,    88,   146,
     146,    57,    58,    29,    60,    60,    60,    67,    67,    67,
      60,    67,    60,    67,    67,    67,    60,    60,    60,    60,
      67,   102,    67,    76,    71,   146,    13,    14,    15,    16,
      17,    18,    19,   109,    67,    66,   103,   104,    70,    71,
      93,    95,    96,   146,    34,    89,    90,    91,   146,    71,
     146,   146,   146,   146,   146,   146,   146,   124,   105,   104,
      75,    94,    95,    71,    96,    72,    73,    74,    89,    71,
     111,   114,   116,   118,   122,   120,     9,    21,    22,   106,
     107,   110,   113,   115,   117,   119,   121,   123,   125,   126,
     127,   146,    72,    94,    89,    60,    67,   146,    72,    89,
      67,   128,   129,   131,   133,   137,   135,    40,    41,    42,
      51,    52,    53,    54,    59,    23,    24,    29,    76,    72,
      72,    67,    27,    28,    35,    36,    39,    68,    69,   130,
     139,   140,   141,   142,   143,   144,   132,   139,   141,   144,
     134,   139,   140,   141,   142,   144,    30,   138,   139,   145,
     136,   139,   140,   141,   142,   144,    60,    60,    60,    67,
      60,    60,    60,    60,   107,    93,    95,    68,    74,    69,
      74,   146,    38,    67,    74,    37,    34,    64,    65,    67,
      68,    69,    64,    65,   146,    67,   146,    65,    67,    65,
      64,    65,    64,    33,    32
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    77,    78,    78,    79,    79,    80,    80,    80,    80,
      80,    80,    80,    80,    80,    80,    80,    80,    81,    82,
      83,    83,    84,    85,    86,    87,    87,    87,    87,    87,
      87,    87,    87,    88,    88,    89,    89,    90,    90,    90,
      91,    91,    92,    92,    93,    93,    94,    94,    94,    95,
      95,    96,    96,    97,    97,    97,    97,    97,    97,    97,
      97,    97,    97,    97,    97,    97,    97,    97,    97,    97,
      97,    97,    97,    97,    97,    97,    97,    97,    98,    99,
     100,   100,   102,   101,   103,   103,   105,   104,   106,   106,
     107,   107,   107,   107,   107,   107,   107,   107,   107,   107,
     108,   108,   109,   109,   109,   109,   109,   109,   109,   109,
     109,   109,   109,   109,   109,   109,   111,   110,   112,   112,
     114,   113,   116,   115,   118,   117,   120,   119,   122,   121,
     124,   123,   125,   126,   126,   126,   126,   126,   126,   126,
     126,   126,   126,   126,   126,   126,   126,   126,   127,   127,
     128,   128,   129,   129,   130,   130,   130,   130,   130,   131,
     131,   132,   132,   132,   133,   133,   134,   134,   134,   134,
     134,   135,   135,   136,   136,   136,   136,   136,   137,   137,
     138,   138,   139,   139,   139,   140,   140,   140,   141,   141,
     142,   142,   142,   143,   143,   143,   143,   144,   144,   145,
     145,   145,   145,   145,   145,   146,   146
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     3,     2,     4,     3,     4,     5,     6,     7,
       8,     2,     3,     1,     1,     1,     3,     3,     3,     3,
       1,     1,     5,     5,     3,     4,     1,     4,     4,     1,
       2,     1,     1,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     3,     3,     3,     3,     3,     3,     1,     4,
       2,     2,     0,     3,     1,     2,     0,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     6,     2,     2,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     4,     1,     2,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     3,     2,     2,
       0,     2,     0,     2,     1,     1,     1,     1,     1,     0,
       2,     1,     1,     1,     0,     2,     1,     1,     1,     1,
       1,     0,     2,     1,     1,     1,     1,     1,     0,     2,
       1,     1,     3,     2,     1,     3,     2,     1,     2,     3,
       1,     3,     4,     2,     4,     4,     3,     3,     4,     2,
       3,     3,     2,     3,     3,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 18:
#line 134 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_add_mission_name((yyvsp[0].strval));
                   free((yyvsp[0].strval));
                }
#line 1606 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 19:
#line 142 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_add_scenario_label((yyvsp[0].strval));
                   free((yyvsp[0].strval));
                }
#line 1615 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 20:
#line 150 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_overlay((yyvsp[0].strval)) != GT_SUCCESS) {
                      cmdl_errorf("Error loading overlay file\n   '%s'",(yyvsp[0].strval));
                      YYABORT;
                      }
                   free((yyvsp[0].strval));
                }
#line 1627 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 21:
#line 158 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_overlay((yyvsp[0].strval)) != GT_SUCCESS) {
                      cmdl_errorf("Error loading overlay file named\n   '%s'",(yyvsp[0].strval));
                      YYABORT;
                      }
                   free((yyvsp[0].strval));
                }
#line 1639 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 22:
#line 169 "gt_command_yac.y" /* yacc.c:1646  */
    {
		   if ((yyvsp[-1].fval) < 0.0) {
		      cmdl_errorf("Mission-Area width must be positive (%1.8g)", (yyvsp[-1].fval));
		      YYABORT;
		      }
		   else if ((yyvsp[0].fval) < 0.0) {
		      cmdl_errorf("Mission-Area height must be positive (%1.8g)", (yyvsp[0].fval));
		      YYABORT;
		      }
		   else {
		      set_mission_area_size((yyvsp[-1].fval), (yyvsp[0].fval));
		      }
		}
#line 1657 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 23:
#line 196 "gt_command_yac.y" /* yacc.c:1646  */
    {
		   if (!load_map(gMapInfo, (yyvsp[0].strval), drawing_area)) {
		      cmdl_errorf("Error: Unable to LOAD-MAP %s", (yyvsp[0].strval));
		      YYABORT;
		      }
		}
#line 1668 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 24:
#line 206 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_starting_point((yyvsp[-2].strval), (yyvsp[-1].fval)+origin_x, (yyvsp[0].fval)+origin_y) != GT_SUCCESS) {
                      cmdl_errorf("Error creating SP %s %f %f",(yyvsp[-2].strval),(yyvsp[-1].fval),(yyvsp[0].fval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                }
#line 1680 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 25:
#line 221 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_new_robot_type((yyvsp[-1].strval), (yyvsp[0].strval), NULL, NULL, NULL) != GT_SUCCESS){
                      cmdl_errorf("Error creating new robot type '%s'",(yyvsp[-1].strval));
                      YYABORT;
                      }
                   free((yyvsp[-1].strval));
                   free((yyvsp[0].strval));
                }
#line 1693 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 26:
#line 230 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_new_robot_type((yyvsp[-2].strval), (yyvsp[-1].strval), NULL, (yyvsp[0].strval), NULL) != GT_SUCCESS) {
                      cmdl_errorf("Error creating new robot type '%s'",(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                   free((yyvsp[-1].strval));
                   free((yyvsp[0].strval));
                }
#line 1707 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 27:
#line 240 "gt_command_yac.y" /* yacc.c:1646  */
    {

                   if (gt_add_new_robot_type((yyvsp[-3].strval), (yyvsp[-2].strval), (yyvsp[0].strval), (yyvsp[-1].strval), NULL) != GT_SUCCESS) {
                      cmdl_errorf("Error creating new robot type '%s'",(yyvsp[-3].strval));
                      YYABORT;
                      }
                   free((yyvsp[-3].strval));
                   free((yyvsp[-2].strval));
                   free((yyvsp[-1].strval));
                }
#line 1722 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 28:
#line 251 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_new_robot_type((yyvsp[-4].strval), (yyvsp[-3].strval), NULL, NULL, (yyvsp[-1].robot_parameters)) != GT_SUCCESS) {
                      cmdl_errorf("Error creating new robot type '%s'",(yyvsp[-4].strval));
                      YYABORT;
                      }
                   gt_free_robot_parameters_list((yyvsp[-1].robot_parameters));
                   free((yyvsp[-4].strval));
                   free((yyvsp[-3].strval));
                   free((yyvsp[-1].robot_parameters));
                }
#line 1737 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 29:
#line 262 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_new_robot_type((yyvsp[-5].strval), (yyvsp[-4].strval), NULL, (yyvsp[-3].strval), (yyvsp[-1].robot_parameters)) != GT_SUCCESS) {
                      cmdl_errorf("Error creating new robot type '%s'",(yyvsp[-5].strval));
                      YYABORT;
                      }
                   gt_free_robot_parameters_list((yyvsp[-1].robot_parameters));
                   free((yyvsp[-5].strval));
                   free((yyvsp[-4].strval));
                   free((yyvsp[-3].strval));
                }
#line 1752 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 30:
#line 273 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_new_robot_type((yyvsp[-6].strval), (yyvsp[-5].strval), (yyvsp[-3].strval), (yyvsp[-4].strval), (yyvsp[-1].robot_parameters)) != GT_SUCCESS) {
                      cmdl_errorf("Error creating new robot type '%s'",(yyvsp[-6].strval));
                      YYABORT;
                      }
                   gt_free_robot_parameters_list((yyvsp[-1].robot_parameters));
                   free((yyvsp[-6].strval));
                   free((yyvsp[-5].strval));
                   free((yyvsp[-4].strval));
                   free((yyvsp[-3].strval));
                }
#line 1768 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 31:
#line 285 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   cmdl_errorf(new_robot_name_error_string);
                   YYABORT;
                }
#line 1777 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 32:
#line 290 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   cmdl_errorf(new_robot_executable_error_string);
                   YYABORT;
                }
#line 1786 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 34:
#line 300 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   /* The user has specified an executable name which happens
                      to correspond to the name of a system or user-defined
                      robot.  Return the appropriate string for the name.
                    */
                   char *rob;
                   switch ((yyvsp[0].robot)) {
                   case UNIT:
                      rob = (char *)malloc(5);
                      strcpy(rob, "unit");
                      break;
                   case ROBOT:
                      rob = (char *)malloc(6);
                      strcpy(rob, "robot");
                      break;
                   default:
                      if ((yyvsp[0].robot) < num_robot_types) {
                         rob = (char *)malloc(strlen(gt_robot_info[(yyvsp[0].robot)].name)+1);
                         strcpy(rob, gt_robot_info[(yyvsp[0].robot)].name);
                         }
                      else {
                         cmdl_errorf("Error in robot executable name (robot_type=%d)", (yyvsp[0].robot));
                         YYABORT;
                         }
                      break;
                      }
                   (yyval.strval) = rob;
                }
#line 1819 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 35:
#line 333 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   (yyval.robot_parameters) = (yyvsp[0].robot_parameters);
                }
#line 1827 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 36:
#line 337 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   gt_Robot_parameters_list *p = (yyvsp[-2].robot_parameters);
                   while (p->next)
                      p = p->next;
                   p->next = (yyvsp[0].robot_parameters);
                   (yyval.robot_parameters) = (yyvsp[-2].robot_parameters);
                }
#line 1839 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 37:
#line 348 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (((yyval.robot_parameters) = gt_new_robot_parameters_list((yyvsp[-2].strval), (yyvsp[0].strval), NULL)) == NULL) {
                      cmdl_errorf("Error adding robot parameter: %s=%s", (yyvsp[-2].strval), (yyvsp[0].strval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                   free((yyvsp[0].strval));
                }
#line 1852 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 38:
#line 357 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   char val[30];
                   sprintf(val, "%d", (yyvsp[0].boolean));
                   if (((yyval.robot_parameters) = gt_new_robot_parameters_list((yyvsp[-2].strval), val, NULL)) == NULL) {
                      cmdl_errorf("Error adding robot parameter: %s=%s",
                                  (yyvsp[-2].strval), (yyvsp[0].boolean) ? "Yes" : "No");
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                }
#line 1867 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 39:
#line 368 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   char val[30];
                   sprintf(val, "%1.8g", (yyvsp[0].fval));
                   if (((yyval.robot_parameters) = gt_new_robot_parameters_list((yyvsp[-2].strval), val, NULL)) == NULL) {
                      cmdl_errorf("Error adding robot parameter: %s=%f", (yyvsp[-2].strval), (yyvsp[0].fval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                }
#line 1881 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 41:
#line 382 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   char *str;
                   str = (char *)malloc(8);
                   strcpy(str, "timeout");
                   (yyval.strval) = str;
                }
#line 1892 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 42:
#line 393 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_Unit *u = gt_new_unit(0,(yyvsp[-2].strval),UNIT,(yyvsp[0].unit),0);
                   if ((u == NULL) || (gt_add_unit(u) != GT_SUCCESS)) {
                      cmdl_errorf("Error creating UNIT %s",(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                }
#line 1905 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 43:
#line 402 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   gt_Unit *u = gt_new_unit(0,(yyvsp[-2].strval),UNIT,(yyvsp[0].unit),0);
                   if ((u == NULL) || (gt_add_unit(u) != GT_SUCCESS)) {
                      cmdl_errorf("Error creating UNIT %s",(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                }
#line 1918 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 44:
#line 416 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   (yyval.unit) = (yyvsp[-1].unit);
                }
#line 1926 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 45:
#line 420 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   gt_Unit *u = (yyvsp[-3].unit);
                   while (u->next)
                      u = u->next;
                   u->next = (yyvsp[-1].unit);
                   (yyval.unit) = (yyvsp[-3].unit);
                }
#line 1938 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 46:
#line 432 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (((yyval.unit) = gt_new_unit(0,0,UNIT,(yyvsp[0].unit),0)) == NULL) {
                      cmdl_errorf("Error creating robot list");
                      YYABORT;
                      }
                }
#line 1949 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 47:
#line 439 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (((yyval.unit) = gt_new_unit(0,(yyvsp[-2].strval),UNIT,(yyvsp[0].unit),0)) == NULL) {
                      cmdl_errorf("Error creating robot list %s",(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                }
#line 1961 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 48:
#line 447 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (((yyval.unit) = gt_new_unit(0,(yyvsp[-2].strval),UNIT,(yyvsp[0].unit),0)) == NULL) {
                      cmdl_errorf("Error creating unit list %s",(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                }
#line 1973 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 49:
#line 459 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   (yyval.unit) = (yyvsp[0].unit);
                }
#line 1981 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 50:
#line 463 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   gt_Unit *u = (yyvsp[-1].unit);
                   while (u->next)
                      u = u->next;
                   u->next = (yyvsp[0].unit);
                   (yyval.unit) = (yyvsp[-1].unit);
                }
#line 1993 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 51:
#line 474 "gt_command_yac.y" /* yacc.c:1646  */
    {
                    robot_id = gt_robot_info[(yyvsp[0].robot)].desired_robot_id;

                    if (robot_id > next_robot_id)
                    {
                        next_robot_id = robot_id;
                    }
                    else if (robot_id < 0)
                    {
                        robot_id = next_robot_id;
                    }

                    if (((yyval.unit) = gt_new_unit(robot_id,0,(yyvsp[0].robot),0,0)) == NULL)
                    {
                      cmdl_errorf("Error adding robot %s",
                                  gt_robot_info[(yyvsp[0].robot)].name);
                      YYABORT;
                    }
                    else
                    {
                        next_robot_id++;
                    }
                }
#line 2021 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 52:
#line 498 "gt_command_yac.y" /* yacc.c:1646  */
    {
                    gt_Robot type = gt_robot_type((yyvsp[0].strval));

                    if (type != GT_FAILURE)
                    {
                        robot_id = gt_robot_info[type].desired_robot_id;

                        if (robot_id > next_robot_id)
                        {
                            next_robot_id = robot_id;
                        }
                        else if (robot_id < 0)
                        {
                            robot_id = next_robot_id;
                        }

                        if (((yyval.unit) = gt_new_unit(robot_id,0,type,0,0)) == NULL)
                        {
                            cmdl_errorf("Error adding robot %s",
                                        gt_robot_info[type].name);
                            YYABORT;
                        }
                        else
                        {
                            next_robot_id++;
                        }
                    }
                    else
                    {
                        cmdl_errorf("Error: '%s' is not the name of a known type of robot", (yyvsp[0].strval));
                        YYABORT;
                    }
                }
#line 2059 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 53:
#line 535 "gt_command_yac.y" /* yacc.c:1646  */
    { seed = nint((yyvsp[0].fval));           }
#line 2065 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 54:
#line 536 "gt_command_yac.y" /* yacc.c:1646  */
    { use_military_style(TRUE);  }
#line 2071 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 55:
#line 537 "gt_command_yac.y" /* yacc.c:1646  */
    { use_military_style((yyvsp[0].boolean));  }
#line 2077 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 56:
#line 538 "gt_command_yac.y" /* yacc.c:1646  */
    { set_show_trails(TRUE);     }
#line 2083 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 57:
#line 539 "gt_command_yac.y" /* yacc.c:1646  */
    { set_show_trails((yyvsp[0].boolean));       }
#line 2089 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 58:
#line 540 "gt_command_yac.y" /* yacc.c:1646  */
    { set_show_repelling_obstacles(TRUE); }
#line 2095 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 59:
#line 541 "gt_command_yac.y" /* yacc.c:1646  */
    { set_show_repelling_obstacles((yyvsp[0].boolean));   }
#line 2101 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 60:
#line 542 "gt_command_yac.y" /* yacc.c:1646  */
    { set_show_movement_vectors(TRUE);    }
#line 2107 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 61:
#line 543 "gt_command_yac.y" /* yacc.c:1646  */
    { set_show_movement_vectors((yyvsp[0].boolean));      }
#line 2113 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 62:
#line 544 "gt_command_yac.y" /* yacc.c:1646  */
    { set_show_colormap(TRUE);   }
#line 2119 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 63:
#line 545 "gt_command_yac.y" /* yacc.c:1646  */
    { set_show_colormap((yyvsp[0].boolean));     }
#line 2125 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 64:
#line 546 "gt_command_yac.y" /* yacc.c:1646  */
    { set_debug_robots(TRUE);    }
#line 2131 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 65:
#line 547 "gt_command_yac.y" /* yacc.c:1646  */
    { set_debug_robots((yyvsp[0].boolean));      }
#line 2137 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 66:
#line 548 "gt_command_yac.y" /* yacc.c:1646  */
    { set_debug_simulator(TRUE); }
#line 2143 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 67:
#line 549 "gt_command_yac.y" /* yacc.c:1646  */
    { set_debug_simulator((yyvsp[0].boolean));   }
#line 2149 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 68:
#line 550 "gt_command_yac.y" /* yacc.c:1646  */
    { set_debug_scheduler(TRUE); }
#line 2155 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 69:
#line 551 "gt_command_yac.y" /* yacc.c:1646  */
    { set_debug_scheduler((yyvsp[0].boolean));   }
#line 2161 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 70:
#line 552 "gt_command_yac.y" /* yacc.c:1646  */
    { set_scale_robots(TRUE);    }
#line 2167 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 71:
#line 553 "gt_command_yac.y" /* yacc.c:1646  */
    { set_scale_robots((yyvsp[0].boolean));      }
#line 2173 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 72:
#line 555 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (!set_robot_length((double)(yyvsp[0].fval))) {
                      cmdl_errorf("Error in SET ROBOT-LENGTH %1.8g statement", (yyvsp[0].fval));
                      YYABORT;
                      }
                }
#line 2184 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 73:
#line 562 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (!set_obstacle_coverage((double)(yyvsp[0].fval))) {
                      cmdl_errorf("Error in SET OBSTACLE-COVERAGE %1.8g", (yyvsp[0].fval));
                      YYABORT;
		      }
                }
#line 2195 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 74:
#line 569 "gt_command_yac.y" /* yacc.c:1646  */
    {
		   if (!set_min_obstacle_radius((double)(yyvsp[0].fval))) {
                      cmdl_errorf("Error in SET MIN-OBSTACLE-RADIUS %1.8g statement", (yyvsp[0].fval));
                      YYABORT;
		      }
                }
#line 2206 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 75:
#line 576 "gt_command_yac.y" /* yacc.c:1646  */
    {
		   if (!set_max_obstacle_radius((double)(yyvsp[0].fval))) {
                      cmdl_errorf("Error in SET MAX-OBSTACLE-RADIUS %1.8g statement", (yyvsp[0].fval));
                      YYABORT;
		      }
                }
#line 2217 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 76:
#line 583 "gt_command_yac.y" /* yacc.c:1646  */
    {
		   if (!set_zoom_factor((double)(yyvsp[0].fval)/100.0)) {
		      cmdl_errorf("Error in SET ZOOM-FACTOR %1.8g statement", (yyvsp[0].fval));
		      YYABORT;
		      }
		}
#line 2228 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 77:
#line 590 "gt_command_yac.y" /* yacc.c:1646  */
    {
		   if (!set_cycle_duration((double)(yyvsp[0].fval))) {
                      cmdl_errorf("Error in SET CYCLE-DURATION %1.8g statement", (yyvsp[0].fval));
                      YYABORT;
		      }
                }
#line 2239 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 78:
#line 601 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   create_obstacles(TRUE);
                }
#line 2247 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 79:
#line 608 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_obstacle((yyvsp[-2].fval)+origin_x, (yyvsp[-1].fval)+origin_y, (yyvsp[0].fval)) !=  GT_SUCCESS) {
                      cmdl_errorf("Unable to add Obstacle (x=%1.8g, y=%1.8g, r=%1.8g).", 
                                  (yyvsp[-2].fval), (yyvsp[-1].fval), (yyvsp[0].fval));
                      YYABORT;
                      }
                }
#line 2259 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 80:
#line 618 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_print_db(); }
#line 2265 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 81:
#line 619 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_print_robot_info(); }
#line 2271 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 82:
#line 624 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_start_step_list(); }
#line 2277 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 86:
#line 632 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_start_step((yyvsp[0].strval)); }
#line 2283 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 87:
#line 633 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   free((yyvsp[-2].strval));
                }
#line 2291 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 116:
#line 681 "gt_command_yac.y" /* yacc.c:1646  */
    {gt_start_command();}
#line 2297 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 117:
#line 682 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((yyvsp[-4].strval), START, (yyvsp[-2].strval)) != GT_SUCCESS) {
                      cmdl_errorf("Error adding command: UNIT %s START %s",(yyvsp[-4].strval),(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-4].strval));
                   free((yyvsp[-2].strval));
                }
#line 2310 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 118:
#line 694 "gt_command_yac.y" /* yacc.c:1646  */
    {
		//inject_track_task(1);

        if (gMlabCNP != NULL)
        {
//            gMlabCNP->injectTrackTask(CNP_TRACK_RED);
        }
    }
#line 2323 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 119:
#line 703 "gt_command_yac.y" /* yacc.c:1646  */
    {
          //inject_track_task(2);

          if (gMlabCNP != NULL)
          {
 //             gMlabCNP->injectTrackTask(CNP_TRACK_YELLOW);
          }
      }
#line 2336 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 120:
#line 715 "gt_command_yac.y" /* yacc.c:1646  */
    {gt_start_command();}
#line 2342 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 121:
#line 716 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((yyvsp[-4].strval), MOVETO, (yyvsp[-2].strval)) != GT_SUCCESS) {
                      cmdl_errorf("Error adding command: UNIT %s MOVETO %s ...",(yyvsp[-4].strval),(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-4].strval));
                   free((yyvsp[-2].strval));
                }
#line 2355 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 122:
#line 727 "gt_command_yac.y" /* yacc.c:1646  */
    {gt_start_command();}
#line 2361 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 123:
#line 728 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((yyvsp[-4].strval), TELEOPERATE, (yyvsp[-2].strval)) != GT_SUCCESS) {
                      cmdl_errorf("Error adding command: UNIT %s TELEOPERATE %s ...",(yyvsp[-4].strval),(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-4].strval));
                   free((yyvsp[-2].strval));
                }
#line 2374 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 124:
#line 739 "gt_command_yac.y" /* yacc.c:1646  */
    {gt_start_command();}
#line 2380 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 125:
#line 740 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((yyvsp[-4].strval), SWEEPTO, (yyvsp[-2].strval)) != GT_SUCCESS) {
                      cmdl_errorf("Error adding command: UNIT %s SWEEPTO %s ...",(yyvsp[-4].strval),(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-4].strval));
                   free((yyvsp[-2].strval));
                }
#line 2393 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 126:
#line 751 "gt_command_yac.y" /* yacc.c:1646  */
    {gt_start_command();}
#line 2399 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 127:
#line 752 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((yyvsp[-4].strval), FOLLOW, (yyvsp[-2].strval)) != GT_SUCCESS) {
                      cmdl_errorf("Error adding command: UNIT %s FOLLOW %s",(yyvsp[-4].strval),(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-4].strval));
                   free((yyvsp[-2].strval));
                }
#line 2412 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 128:
#line 763 "gt_command_yac.y" /* yacc.c:1646  */
    {gt_start_command();}
#line 2418 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 129:
#line 764 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((yyvsp[-4].strval), OCCUPY, (yyvsp[-2].strval)) != GT_SUCCESS) {
                      cmdl_errorf("Error adding command: UNIT %s OCCUPY %s ...",(yyvsp[-4].strval),(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-4].strval));
                   free((yyvsp[-2].strval));
                }
#line 2431 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 130:
#line 775 "gt_command_yac.y" /* yacc.c:1646  */
    {gt_start_command();}
#line 2437 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 131:
#line 776 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((yyvsp[-2].strval), STOP, 0) != GT_SUCCESS) {
                      cmdl_errorf("Error adding command: UNIT %s STOP",(yyvsp[-2].strval));
                      YYABORT;
                      }
                   free((yyvsp[-2].strval));
                }
#line 2449 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 132:
#line 788 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step(NULL, QUIT, NULL) != GT_SUCCESS) {
                      cmdl_errorf("Error adding QUIT command");
                      YYABORT;
                      }
                }
#line 2460 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 133:
#line 799 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)SHOW_TRAILS, SET, (char *)TRUE)
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET SHOW-TRAILS TRUE command");
                      YYABORT;
                      }
                }
#line 2472 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 134:
#line 807 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)SHOW_TRAILS,SET,(char *)(yyvsp[0].boolean))
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET SHOW-TRAILS %s command",
                                  ((yyvsp[0].boolean) ? "ON" : "OFF") );
                      YYABORT;
                      }
                }
#line 2485 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 135:
#line 818 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)USE_MILITARY_STYLE, SET, (char *)TRUE)
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET USE-MILITARY-STYLE TRUE command");
                      YYABORT;
                      }
                }
#line 2497 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 136:
#line 826 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)USE_MILITARY_STYLE,SET,(char *)(yyvsp[0].boolean))
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET USE-MILITARY-STYLE %s command",
                                  ((yyvsp[0].boolean) ? "ON" : "OFF") );
                      YYABORT;
                      }
                }
#line 2510 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 137:
#line 837 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)SHOW_REPELLING_OBSTACLES,
                                              SET, (char *)TRUE) != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET HIGHLIGHT-REPELLING-OBSTACLES\
TRUE command");
                      YYABORT;
                      }
                }
#line 2523 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 138:
#line 846 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)SHOW_REPELLING_OBSTACLES,
                                              SET,(char *)(yyvsp[0].boolean)) != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET HIGHLIGHT-REPELLING-OBSTACLES\
%s command", ((yyvsp[0].boolean) ? "ON" : "OFF") );
                      YYABORT;
                      }
                }
#line 2536 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 139:
#line 856 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)SHOW_MOVEMENT_VECTORS,
                                              SET, (char *)TRUE) != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET SHOW-MOVEMENT-VECTORS TRUE command");
                      YYABORT;
                      }
                }
#line 2548 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 140:
#line 864 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)SHOW_MOVEMENT_VECTORS,
                                              SET,(char *)(yyvsp[0].boolean)) != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET SHOW-MOVEMENT-VECTORS %s command",
                                  ((yyvsp[0].boolean) ? "ON" : "OFF") );
                      YYABORT;
                      }
                }
#line 2561 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 141:
#line 874 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)DEBUG_ROBOTS,SET,(char *)TRUE)
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET DEBUG-ROBOTS TRUE command");
                      YYABORT;
                      }
                }
#line 2573 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 142:
#line 882 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)DEBUG_ROBOTS,SET,(char *)(yyvsp[0].boolean)) 
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET DEBUG-ROBOTS %s command",
                                  ((yyvsp[0].boolean) ? "ON" : "OFF"));
                      YYABORT;
                      }
                }
#line 2586 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 143:
#line 891 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)DEBUG_SIMULATOR,SET,(char *)TRUE)
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET DEBUG_SIMULATOR TRUE command");
                      YYABORT;
                      }
                }
#line 2598 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 144:
#line 899 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)DEBUG_SIMULATOR,SET,(char *)(yyvsp[0].boolean))
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET DEBUG-SIMULATOR %s command",
                                  ((yyvsp[0].boolean) ? "ON":"OFF"));
                      YYABORT;
                      }
                }
#line 2611 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 145:
#line 908 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)DEBUG_SCHEDULER,SET,(char *)TRUE)
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET DEBUG_SCHEDULER TRUE command");
                      YYABORT;
                      }
                }
#line 2623 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 146:
#line 916 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   if (gt_add_command_to_step((char *)DEBUG_SCHEDULER,SET,(char *)(yyvsp[0].boolean))
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET DEBUG-SCHEDULER %s command",
                                  ((yyvsp[0].boolean) ? "ON":"OFF"));
                      YYABORT;
                      }
                }
#line 2636 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 147:
#line 925 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if ((yyvsp[0].fval) < MIN_CYCLE_DURATION) {
                      cmdl_errorf("Cycle duration value, %1.8g, is less than\n\
 the minimum value of %1.8g seconds", (yyvsp[0].fval), MIN_CYCLE_DURATION);
                      YYABORT;
                      }
                   if ((yyvsp[0].fval) > MAX_CYCLE_DURATION) {
                      cmdl_errorf("Cycle duration value, %1.8g, is greater than\n\
 the maximum value of %1.8g seconds", (yyvsp[0].fval), MAX_CYCLE_DURATION);
                      YYABORT;
                      }
                   if (gt_add_command_to_step((char *)CYCLE_DURATION,SET,(char *)&((yyvsp[0].fval)))
                       != GT_SUCCESS) {
                      cmdl_errorf("Error adding SET CYCLE-DURATION %1.8g command",(yyvsp[0].fval));
                      YYABORT;
                      }
                }
#line 2658 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 148:
#line 947 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((char *)CONSOLE_DB, PRINT, NULL)
                       != GT_SUCCESS) {
                      cmdl_error("Error adding PRINT CONSOLE-DATABASE command");
                      YYABORT;
                      }
                }
#line 2670 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 149:
#line 955 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if (gt_add_command_to_step((char *)ROBOT_INFO, PRINT, NULL)
                       != GT_SUCCESS) {
                      cmdl_error("Error adding PRINT ROBOT-INFO command");
                      YYABORT;
                      }
                }
#line 2682 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 151:
#line 968 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_offsets((yyvsp[-1].fval),(yyvsp[0].fval)); }
#line 2688 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1038 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_formation((yyvsp[0].formation)); }
#line 2694 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1039 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_formation((yyvsp[0].formation)); }
#line 2700 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1040 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_formation((yyvsp[0].formation)); }
#line 2706 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1044 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_technique((yyvsp[0].technique)); }
#line 2712 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1045 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_technique((yyvsp[0].technique)); }
#line 2718 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1046 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_technique((yyvsp[0].technique)); }
#line 2724 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1051 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_speed((yyvsp[0].fval)); }
#line 2730 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1052 "gt_command_yac.y" /* yacc.c:1646  */
    { gt_specify_speed((yyvsp[0].fval)); }
#line 2736 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1058 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_specify_phase_line_msg((yyvsp[0].strval));
                   free((yyvsp[0].strval));
                }
#line 2745 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1063 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_specify_phase_line_msg((yyvsp[-1].strval));
                   gt_specify_phase_line_wait(TRUE);
                   free((yyvsp[-1].strval));
                }
#line 2755 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1072 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   gt_specify_phase_line((yyvsp[0].strval), NULL, NULL);
                   free((yyvsp[0].strval));
                }
#line 2764 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1077 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   gt_specify_phase_line((yyvsp[-2].strval), (yyvsp[-1].strval),   (yyvsp[0].strval));
                   free((yyvsp[-2].strval));
                   free((yyvsp[-1].strval));
                   free((yyvsp[0].strval));
                }
#line 2775 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1084 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   gt_specify_phase_line((yyvsp[-2].strval), (yyvsp[0].strval),   (yyvsp[-1].strval));
                   free((yyvsp[-2].strval)); 
                   free((yyvsp[-1].strval));
                   free((yyvsp[0].strval));
                }
#line 2786 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1091 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   gt_specify_phase_line((yyvsp[-1].strval), NULL, (yyvsp[0].strval));
                   free((yyvsp[-1].strval));
                   free((yyvsp[0].strval));
                }
#line 2796 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1100 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_specify_completion((yyvsp[0].strval), FALSE);
                   free((yyvsp[0].strval));
                }
#line 2805 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1105 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_specify_completion((yyvsp[-1].strval), TRUE);
                   free((yyvsp[-1].strval));
                }
#line 2814 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1113 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_specify_until(NULL, (yyvsp[0].strval));
                   free((yyvsp[0].strval));
                }
#line 2823 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1118 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_specify_until((yyvsp[0].strval), (yyvsp[-1].strval));
                   free((yyvsp[-1].strval));
                   free((yyvsp[0].strval));
                }
#line 2833 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1124 "gt_command_yac.y" /* yacc.c:1646  */
    { 
                   gt_specify_until((yyvsp[-1].strval), (yyvsp[0].strval));
                   free((yyvsp[-1].strval));
                   free((yyvsp[0].strval));
                }
#line 2843 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1130 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   char time_str[20];
                   sprintf(time_str, "%d", nint((yyvsp[0].fval)));
                   gt_specify_until(NULL, time_str);
                }
#line 2853 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1136 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   if ((yyvsp[0].strval)[0] == '+') {
                      (yyvsp[0].strval)[0] = '-';
                      gt_specify_until(NULL, (yyvsp[0].strval));
                      free((yyvsp[0].strval));
                      }
                   else {
                      char wait_time[20];
                      sprintf(wait_time, "-%s", (yyvsp[0].strval));
                      gt_specify_until(NULL, wait_time);
                      free((yyvsp[0].strval));
                      }
                }
#line 2871 "gt_command_yac.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1150 "gt_command_yac.y" /* yacc.c:1646  */
    {
                   char wait_time[20];
                   sprintf(wait_time, "-%d", nint((yyvsp[0].fval)));
                   gt_specify_until(NULL, wait_time);
                }
#line 2881 "gt_command_yac.c" /* yacc.c:1646  */
    break;


#line 2885 "gt_command_yac.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 1162 "gt_command_yac.y" /* yacc.c:1906  */




/**********************************************************************
 * $Log: gt_command_yac.y,v $
 * Revision 1.2  2008/07/16 21:16:09  endo
 * Military style is now a toggle option.
 *
 * Revision 1.1.1.1  2008/07/14 16:44:22  endo
 * MAST Project (based on MissionLab-MINOS-20071018.tar.gz)
 *
 * Revision 1.1.1.1  2006/07/20 17:17:50  endo
 * MINOS Project (based on MissionLab-7.0.20060712.tar.gz)
 *
 * Revision 1.1.1.1  2006/07/12 13:37:59  endo
 * MissionLab 7.0
 *
 * Revision 1.8  2006/07/11 10:07:49  endo
 * CMDLi Panel merged from MARS 2020.
 *
 * Revision 1.7  2006/05/15 01:50:11  endo
 * gcc-3.4 upgrade
 *
 * Revision 1.6  2006/01/12 20:32:44  pulam
 * cnp cleanup
 *
 * Revision 1.5  2006/01/10 06:10:31  endo
 * AO-FNC Type-I check-in.
 *
 * Revision 1.4  2005/07/31 03:40:42  endo
 * Robot ID specified by CNP can be now recognized by mlab during execution.
 *
 * Revision 1.3  2005/04/08 01:56:03  pulam
 * addition of cnp behaviors
 *
 * Revision 1.2  2005/03/23 07:36:55  pulam
 * *** empty log message ***
 *
 * Revision 1.1.1.1  2005/02/06 23:00:09  endo
 * AO-FNC Project (based on mlab-6.0.01.06192003.tar.gz)
 *
 * Revision 1.54  1997/02/14  15:49:30  zchen
 * *** empty log message ***
 *
 * Revision 1.53  1996/03/04  00:04:30  doug
 * *** empty log message ***
 *
 * Revision 1.52  1995/06/14  17:15:33  jmc
 * Added immediate statements for SET SHOW-COLORMAP statement.
 *
 * Revision 1.51  1995/06/12  17:56:10  jmc
 * Minor cleanup.
 *
 * Revision 1.50  1995/06/12  16:18:14  jmc
 * Added MISSION-AREA and LOAD-MAP statements.
 *
 * Revision 1.49  1995/05/06  00:43:37  jmc
 * Changed the grammar for SET METERS-PER-PIXEL to SET ZOOM-FACTOR.
 *
 * Revision 1.48  1995/05/04  22:05:22  jmc
 * Added include for gt_scale.h since all the scale related functions
 * moved to it.
 *
 * Revision 1.47  1995/05/04  19:59:26  jmc
 * Various fixes to accomodate the different style of map scaling.
 * Changed grammar for SET MAGNIFY-ROBOTS to SET SCALE-ROBOTS, and
 * SET ROBOT-MAGNIFICATION to SET ROBOT-LENGTH.  Converted range
 * checking to use the involved set_* function for several
 * set_*_statement grammars.  Moved the range checking to where the
 * set_* functions were defined.
 *
 * Revision 1.46  1995/05/02  17:57:19  jmc
 * Converted the SET METERS_PER_PIXEL to use the return value of the
 * function, rather than test the parameter itself.
 *
 * Revision 1.45  1995/04/27  19:42:11  jmc
 * Minor tweaks to SET METERS_PER_PIXEL grammar location.
 *
 * Revision 1.44  1995/04/26  18:58:13  jmc
 * Added grammer for the TELEOPERATE behavior.
 *
 * Revision 1.43  1995/04/26  11:44:41  jmc
 * Made the error strings static.
 *
 * Revision 1.42  1995/04/25  22:16:04  jmc
 * Added separate definitions of robot_executable_name and
 * robot_parameter_name to make their parsing more flexible and to
 * deal with some special cases.  Added error messages to a couple
 * typical errors in robot_definition_statement.
 *
 * Revision 1.41  1995/04/24  16:44:02  jmc
 * Added name=BOOLEAN grammar to robot_parameter so that BOOLEANs can
 * be specified textually.
 *
 * Revision 1.40  1995/04/20  17:59:31  jmc
 * Corrected spelling.
 *
 * Revision 1.39  1995/04/20  16:58:34  jmc
 * Modified error messages to put filenames on fresh lines
 * since some filenames are really long.
 *
 * Revision 1.38  1995/04/14  17:28:04  jmc
 * Renamed POPULATE_OBSTACLES to CREATE_OBSTACLES and
 * populate_world() to create_obstacles().
 *
 * Revision 1.37  1995/04/03  19:33:30  jmc
 * Added copyright notice.
 *
 * Revision 1.36  1995/02/15  19:24:08  jmc
 * Added grammar for SWEEPTO command.
 *
 * Revision 1.35  1995/02/14  16:35:19  jmc
 * Tweaked an error message.
 *
 * Revision 1.34  1995/02/13  18:53:17  jmc
 * Added SET CYCLE-DURATION to the commands.  This required changes
 * in several other files.
 *
 * Revision 1.33  1995/02/02  22:50:31  jmc
 * Tweaked some of the error messages.
 *
 * Revision 1.32  1995/02/02  22:25:19  jmc
 * Added grammar for SET CYCLE-DURATION statements.
 *
 * Revision 1.31  1995/02/02  16:39:53  jmc
 * Added grammar for SET SHOW-MOVEMENT-VECTORS statements and
 * commands.
 *
 * Revision 1.30  1995/01/27  21:55:23  jmc
 * Added an explanatory comment right before the grammar definitions.
 *
 * Revision 1.29  1994/11/10  23:30:27  jmc
 * Added grammar to set "magnify robots" and "robot magnification"
 * from statements (but not commands).
 *
 * Revision 1.28  1994/11/07  20:10:45  jmc
 * Small mods to make sure that everything uses the origin correctly.
 *
 * Revision 1.27  1994/11/07  17:51:01  jmc
 * Added an obstacle creation command to preamble and immediate mode.
 *
 * Revision 1.26  1994/11/04  15:25:10  jmc
 * Added grammar for SET DEBUG-SCHEDULER in statements and commands.
 *
 * Revision 1.25  1994/11/03  18:45:25  jmc
 * Added grammar for SET HIGHLIGHT-REPELLING-OBSTACLES in statements
 * and commands.
 *
 * Revision 1.24  1994/10/28  18:07:51  jmc
 * Modified the syntax of OCCUPY UNTIL to specify either an "until"
 * time (OCCUPY UNTIL 12:00) or by an "until" timeout (OCCUPY UNTIL
 * TIMEOUT 12:00).
 *
 * Revision 1.23  1994/10/27  21:39:15  jmc
 * Added several SET commands for SYSTEM-SEED, OBSTACLE-COVERAGE,
 * METERS-PER-PIXEL, MIN-OBSTACLE-RADIUS, and MAX-OBSTACLE-RADIUS.
 * Added the POPULATE-OBSTACLES command.  These are all world
 * configuration things that had been overlooked.  Note that these
 * are for set statments only---not commands to be saved in step
 * lists.
 *
 * Revision 1.22  1994/10/26  14:22:53  jmc
 * Changed robot_id to next_robot_id to avoid name conflicts with
 * other modules.
 *
 * Revision 1.21  1994/10/25  14:51:10  jmc
 * Changed the syntax for robots from fixed to definable via a new
 * command NEW-ROBOT.  Changed syntax of unit lists to solve a
 * problem introduced by the NEW-ROBOT commands.  Now ALL unit names
 * must be surrounded by angle brackets, eg: UNIT <Zebra>.  Added
 * PRINT (console-db|robot-info) commands to immediate mode, command
 * preamble, and step lists.  Cleaned up indenting.  Added code to
 * free strings previously allocated by strdup in the lexer.
 *
 * Revision 1.20  1994/09/03  13:51:22  jmc
 * Fixed minor problem with ordering of #includes.
 *
 * Revision 1.19  1994/08/31  21:50:09  jmc
 * Added composite_immediate_command and immediate_command to make
 * immediate commands more flexible.  Added
 * unit_description_statement to immediate command.
 *
 * Revision 1.18  1994/08/29  17:55:03  jmc
 * Added grammar for parsing SET and QUIT commands.  Had to make a
 * separate set_parameter_command (as distinguished from the
 * previously implemented set_parameter_statement) in order to allow
 * addition of SET commands to the step list.
 *
 * Revision 1.17  1994/08/26  16:00:51  jmc
 * Added grammar for setting show-trails, debug-simulator, and
 * debug-robots parameter values.
 *
 * Revision 1.16  1994/08/18  20:39:21  jmc
 * Moved the gt_start_command() to right before the optional clauses.
 * Modified the opt_occupy_clause_list to allow formation clauses.
 * (This used to work but it got overlooked in the previous
 * modifications.)
 *
 * Revision 1.15  1994/08/18  19:25:14  doug
 * Converted SUCCESS/FAILURE to GT_SUCCESS/GT_FAILURE
 *
 * Revision 1.14  1994/08/17  20:37:49  jmc
 * Extensively modified the grammar to make optional-clause-lists on
 * the end of the main command definitions.  This required using
 * gt_specify_* functions to deal with the optional information.
 *
 * Revision 1.13  1994/08/16  15:59:47  jmc
 * Changed command_list to step_list.
 *
 * Revision 1.12  1994/08/12  15:27:03  jmc
 * Added an optional speed clause to moveto_statement and
 * follow_statement.
 *
 * Revision 1.11  1994/08/11  20:49:28  jmc
 * Modified the syntax of the OCCUPY command until_clause from
 * UNTIL-KEY "str" to UNTIL MESSAGE "msg".  If the "msg" part is left
 * out, it defaults to "Go".
 *
 * Revision 1.10  1994/08/05  17:12:46  jmc
 * Changed syntax of DATE:TIME to DATE TIME.  Made order of date and
 * time reversible.
 *
 * Revision 1.9  1994/08/03  13:37:39  jmc
 * Added better error handling/aborting to add_* calls.
 *
 * Revision 1.8  1994/07/26  21:01:55  jmc
 * Modified overlay sections to abort if there are problems reading
 * the overlay file.
 *
 * Revision 1.7  1994/07/22  17:17:22  jmc
 * Minor modifications to allow manual entry of commands to be
 * executed immediately.  Added immediate command token and syntax
 * under "file:".
 *
 * Revision 1.6  1994/07/20  20:08:38  jmc
 * Removed some debugging print statements.
 *
 * Revision 1.5  1994/07/20  19:44:40  jmc
 * Improved grammar for units to make it more robust (hopefully).
 *
 * Revision 1.4  1994/07/12  19:14:54  jmc
 * Tweaked RCS automatic identification strings
 *
 * Revision 1.3  1994/07/12  19:03:43  jmc
 * Tweaked RCS automatic identification strings
 *
 * Revision 1.2  1994/07/12  17:21:45  jmc
 * Added RCS automatic identification strings
 **********************************************************************/
